from src.core.auth_manager import AuthManager


async def test_jwt():
    token = AuthManager.create_access_token(
        data={"id": 1, "sub": "testuser", "is_active": "True"}
    )
    assert token
    encode_token = AuthManager.decode_access_token(token=token)
    assert encode_token["id"] == 1 and encode_token["sub"] == "testuser"
